Bug 187906 - Sound doesnt work; SigmaTel STAC9200 and HDA Intel (Alsa Mixer).
Sound doesnt work; SigmaTel STAC9200 and HDA Intel (Alsa Mixer).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Maly
Brian Brock
bzcl34nup
:
: 208395 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 08:30 EDT by Egil B.
Modified: 2008-04-04 13:04 EDT (History)
13 users (show)

See Also:
Fixed In Version: F6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 13:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsound.log (7.78 KB, text/plain)
2006-04-04 08:30 EDT, Egil B.
no flags Details
Sound Log (7.00 KB, text/plain)
2006-04-10 21:36 EDT, Stephen John Smoogen
no flags Details

  None (edit)
Description Egil B. 2006-04-04 08:30:19 EDT
Description of problem:
Sound doesnt work. The card is Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6
Family) High Definition Audio Controller (rev 03)
The modules start as normal, and soundspeaker in Gnome-desktop appear as normal
with "sound waves" but there isnt any sound either in integrated speakers or in
headphone.

There isnt any error report related to sound, audio, hda or sigmatel STAC9200 in
/var/log/messages

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I suppose it is a kernel related problem because I had the same problem in
Ubuntu 5.10 with custom kernel 2.6.16, also with Ubuntu Dapper Drake Alpha 5.
Sound works with Ubuntu 5.10 standard kernel and SUSE 10.0 . But it contains a
bug (headphones doesnt disable integrated soundspeakers) that should have been
fixed in 2.6.16
Comment 1 Egil B. 2006-04-04 08:30:19 EDT
Created attachment 127289 [details]
scsound.log
Comment 2 Egil B. 2006-04-04 10:57:06 EDT
(In reply to comment #0)
I think the problem is solved in this alsa version:
http://www.alsa-project.org/changes/v1-0-11rc3--v1-0-11rc4.txt

From release notes to alsa v1.0.11rc3:
HDA generic driver
    - Summary: hda-codec - Fix ALC262 for Fujitsu laptop
      Add "fujitsu" model for ALC262 patch to support a FSC laptop.
      The internal speaker is turned on/off with jack sensing.
      Also fixed alc262 "basic" model.
    - Summary: hda-codec - Fix BIOS auto-configuration
      - Fix autoconfig speaker/hp detection
        Now it allows multiple speaker pins (e.g. Dell laptops have such config)
      - Use speaker or hp pins if no line-outs are available
        This fixes the silence output on recent Dell laptops with STAC9200
        (ALSA bug#1843)
      - Fix analog/realtek/sigmatel autoconfig parser
    - Summary: hda-codec - Fix generic auto-configurator
      Fixed the generic auto-configurator to check speaker pins in
      addition.
Comment 3 Egil B. 2006-04-04 11:09:15 EDT
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=1843

Related to alsa-bug no. 1843
Comment 4 Stephen John Smoogen 2006-04-10 21:27:27 EDT
This problem seems to be fixed in a test alsa RPM that can be found at:


http://people.redhat.com/stransky/alsa/
Comment 5 Stephen John Smoogen 2006-04-10 21:36:09 EDT
Created attachment 127585 [details]
Sound Log

This file shows with the latest alsa on people.redhat.com.

Sound works in FC4 but not after upgrade to FC5. Sound works if I put an FC4
cdrom in.
Comment 6 Matthias Saou 2006-04-20 05:21:55 EDT
I've got the same problem with an "Intel Corporation 82801G (ICH7 Family) High
Definition Audio Controller (rev 01)" identified as "STAC92xx Analog" and using
snd-hda-intel. This is a Dell Precision 380 workstation.

The sound used to work only through OSS on FC4 (no ALSA...), but stopped working
completely after a recent update of the system : No errors, but no sound. The
1.0.11-1.rc4.FC4.test packages didn't help.

I reinstalled the system with FC5 "just in case", but I get the exact same issue
: No errors, but no sound. Again the 1.0.11-1.rc4.FC5.test didn't help.

In the ALSA bug linked above got resolved to "fixed" one month ago apparently.
Are those rc4 packages supposed to contain the fix, or is it in rc5 which is now
available?
Comment 7 Jaroslaw Gorny 2006-06-20 16:23:09 EDT
my card:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition 
Audio Controller (rev 01)

Installing alsa-driver-1.0.11 fixes the issue for me.

Few additional notes:
Tips from: http://people.redhat.com/stransky/alsa/ are really good. However I 
failed to judge good ./configure parameters. I use SMP kernel, and giving 
kernel path adequate to what is installed by 'kernel-devel' results in modules 
installed in /lib/modules/foo instead of /lib/modules/foosmp.

So I've just downloaded alsa-kmdl-2.6.16-1.2133_FC5smp-1.0.11-47.rhfc5.at from 
ATrpms.
Comment 8 Steve Barnhart 2006-08-11 18:13:22 EDT
yes problem confirmed for me too...hopefully this is going to be fixed for FC6?
Comment 9 Jaroslaw Gorny 2006-08-12 02:45:56 EDT
On my STAC92xx card the sound is _sometimes_ audible (it varies between 
reboots). Upgrading kernel to 2.6.17-1.2174_FC5smp yesterday introduced one 
change. Now "aplay -l" and system-config-soundcard show me only _one_ device:

card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]

On earlier kernels, there was also "STAC92xx Digital" card detected. Both had 
_the_same_ subdevice numbers
Comment 10 Matthias Saou 2006-10-02 15:08:22 EDT
*** Bug 208395 has been marked as a duplicate of this bug. ***
Comment 11 Andrew Zabolotny 2006-12-27 09:19:55 EST
This problem also hit me on a Dell M1310 laptop:

The device:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)

The problem is that the FC6 installer adds the "index=0" parameter for the
snd-hda-intel module in /etc/modprobe.conf. If I load the module with this
parameter, I get in dmesg:

modprobe snd-hda-intel index=0
ACPI: PCI interrupt for device 0000:00:1b.0 disabled
cannot find the slot for index 0 (range 0-1)
hda-intel: Error creating card!
HDA Intel: probe of 0000:00:1b.0 failed with error -12

and sound doesn't work. However, if I comment out the "index=0" parameters in
modprobe.conf, loading of the module works okay:

modprobe snd-hda-intel
PCI: Enabling device 0000:00:1b.0 (0100 -> 0102)
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 50
PCI: Setting latency timer of device 0000:00:1b.0 to 64

After that sound works fine. By the way, with "index=1" it works but since I'm
not sure what this parameter does, I just prefer to comment it out.
Comment 12 Bug Zapper 2008-04-03 22:32:44 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Jaroslaw Gorny 2008-04-04 01:36:46 EDT
Works for me at least since FC6 release.
Comment 14 Stephen John Smoogen 2008-04-04 10:59:14 EDT
Works for me also. I am not having problems in FC8 or RHEL-4 or 5 anymore (which
is how I got pulled into this I think).

Note You need to log in before you can comment on or make changes to this bug.